Supported Smartphones and Tablets

Apple iOS

GoPos Lite is available on the Apple App Store and supports the following Apple devices:

Device Models
iPhone5S and above
iPod Touch5th generation and above
iPad3rd generation and above
iPad Mini1st generation and above
GoPos Lite for iOS requires iOS 6.1 or above. For the best user experience we recommend the most recent release of iOS.

Android

GoPos Lite is available on the Google Play Store and will work with most modern brand-name Android phones and tablets that support Bluetooth.

GoPOS Lite for Android requires Android 2.3.3 or above. For the best user experience we recommend the most recent release of Android.

More Information

For more information on specific upcoming devices, please contact us.

 

  Back to top